//	dark window.

textures/an/darky
                      {
                      qer_trans .5
                      surfaceparm trans
		      surfaceparm solid

                      cull disable
                      {
                      map textures/effects/tinfx.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }
                      {
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
                      }
                      }
// 	Plain glass.

textures/an/glasplain
{
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm solid
	cull twosided
	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
        }
}

textures/an/goldglas
{	
 	qer_trans	0.5
	surfaceparm nolightmap
 	surfaceparm nomarks
	
	{
		map textures/effects/envmapgold.tga
                tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/an/rain
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
        deformVertexes move 3 1 0  sin 0 5 0 0.2
        deformVertexes move .6 3.3 0  sin 0 5 0 0.4
        deformVertexes wave 30 sin 0 10 0 .2
	cull none
        //nopicmip
       
	{
		map textures/an/rain.tga
                tcMod Scroll .5 -8
                tcMod turb .1 .25 0 -.1
                blendFunc GL_ONE GL_ONE
        }
        {
		map textures/sfx/rain.tga
                tcMod Scroll .01 -6.3
               
                blendFunc GL_ONE GL_ONE
        }
       
     
}

textures/an/fog
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	surfaceparm nodrop
	q3map_surfacelight 100
	fogparms ( 1 1 1 ) 700
}

textures/an/tree1
{
        qer_editorimage textures/an/tree.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/an/tree.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//	Blue

textures/an/blueglass
{
	qer_trans .5
	surfaceparm nolightmap
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	cull twosided
	{
		map textures/an/glass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/an/as_sky1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun .9 .9 1 20 90 90
	q3map_surfacelight 20
	skyparms - 512 -
	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.005 0
		tcMod scale 1 1
		depthWrite
	}
	{
		map textures/skies/dimclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.005 0.0025
		tcMod scale 3 3
	}

}

textures/as/nazistat2
{
        tessSize 64
        deformVertexes wave 94 sin 0 0 1 .4
        deformVertexes normal .3 .2
        surfaceparm nomarks
        cull none

        {
		map textures/an3/nazistat2.tga
		rgbGen identity
	}
        {
		map textures/an3/nazistat2.tga
                 tcGen environment
                tcmod scale 2 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/an3/nazistat2.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {

        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}

textures/an/regnn
{
    qer_editorimage textures/an/regn.tga
    surfaceparm nonsolid
    surfaceparm trans
    cull none
    deformVertexes wave 30 sin 0 10 0 .2
    nopicmip
    {
        map textures/an/regn.tga
        tcMod scale 2 2
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
        tcmod scroll 0 .25
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/annihilation/stige
{ 
    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm nomarks 
    cull none
    nopicmip
    {
        textures/annihilation/stige.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/an/barbed_wire_trans
{
	qer_editorimage textures/an/barbed_wirea.tga
	cull disable
	{
		map textures/an/barbed_wirea.tga
		rgbGen identity
		alphaFunc GE128
		//alphaGen lightingSpecular
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
}

textures/an/bombskie
{
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun    .6 .6 .7 87 87 87
    skyparms env/an_town/an_townsky - -
}

// Weed Texture with alpha channel
textures/annihilation/weed
{
	qer_editorimage textures/annihilation/weed.tga
	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/annihilation/weed.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/an/NYSKY
{
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun    .5 .37 .19 90 0 80
    q3map_surfacelight 30
    skyparms env/an_town/an_townsky - -
}

textures/annihilation/barbed_wire_trans
{
	qer_editorimage textures/annihilation/barbed_wirea.tga
	cull disable
	{
		map textures/annihilation/barbed_wirea.tga
		rgbGen identity
		alphaFunc GE128
		//alphaGen lightingSpecular
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
}

textures/an/water

// modified ID shader		
	{
		qer_editorimage textures/liquids/clear_calm1.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	

		{ 
			map textures/liquids/clear_calm1
			blendFunc GL_dst_color GL_one
			alphaFunc GE128
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	
	}

textures/an/blueskie
{
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun    .5 .37 .19 100 0 70
    skyparms env/an_town/an_townsky - -
}

textures/an/FAST!!
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun .9 .9 1 20 90 90
	skyparms - 512 -
	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.005 0
		tcMod scale 1 1
		depthWrite
	}
	{
		map textures/skies/dimclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.005 0.0025
		tcMod scale 3 3
	}

}





