//	Blue, bright glass.  Light swirl pattern to it.

textures/nsh/blueglass
{
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm solid
	cull twosided
	{
		map textures/nsh/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

//	Foggy, stained glass with a cool chrome like finish when you walk by. 

textures/nsh/darkglass
                      {
                      qer_trans .5
                      surfaceparm trans
		      surfaceparm solid

                      cull disable
                      {
                      map textures/effects/tinfx.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }
                      {
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
                      }
                      }

// 	Plain glass.

textures/nsh/plainglass
{
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm solid
	cull twosided
	{
		map textures/nsh/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
        }
}



textures/nsh/glass_clear
{	
	qer_editorimage textures/nsh/glass_clear.tga
	qer_trans	0.5
	surfaceparm nolightmap
 	surfaceparm solid
	{
		map textures/effects/tinfx2b.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/nsh/glass_gold
{	
 	qer_editorimage textures/nsh/glass_gold.tga
	qer_trans	0.5
	surfaceparm nolightmap
 	surfaceparm nomarks
	
	{
		map textures/effects/envmapgold.tga
                tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/nsh/ik_sky_day
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/nsh/ik_sky_day_back.tga
	q3map_lightimage textures/nsh/ik_sky_day_back.tga
	q3map_surfacelight 500
	q3map_sun	1 0.9 0.8 80	240 60
	skyparms - 512 -
	{
		map textures/nsh/ik_sky_day_back.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		depthWrite
	}
	{
		map textures/nsh/ik_sky_day_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
	}
}

textures/nsh/ik_sky_dawn
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/nsh/ik_sky_dawn_back.tga
	q3map_lightimage textures/nsh/ik_sky_dawn_front.tga
	q3map_surfacelight 300
	q3map_sun	1 0.7 0.4 60	150 35
	skyparms - 512 -
	{
		map textures/nsh/ik_sky_dawn_back.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		depthWrite
	}
	{
		map textures/nsh/ik_sky_dawn_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
	}
}


textures/nsh/ik_sky_night
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/nsh/ik_sky_night_back.tga
	q3map_lightimage textures/nsh/ik_sky_night_back.tga
	q3map_surfacelight 200
	skyparms - 512 -
	{
		map textures/nsh/ik_sky_night_back.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		depthWrite
	}
	{
		map textures/nsh/ik_sky_night_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
	}
}

textures/nsh/fence
{
        qer_editorimage textures/nsh/fence.tga
	surfaceparm	metalsteps
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
        nopicmip
	{
		map textures/nsh/fence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/nsh/glass
{
	qer_editorimage textures/base_wall/chrome_metal.tga
	qer_trans .4
	surfaceparm	trans
	cull none

	{
		map $lightmap
		tcgen environment
		tcmod scale .25 .25
		blendfunc gl_one gl_one
	}

	{
		map textures/base_wall/chrome_metal.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
}

