textures/wetwired/wetwired_ss512
{
	qer_editorimage textures/wetwired/sky02.tga

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 200
	q3map_sun .6 .6 .6 30 35 78

	skyparms env/ss512 512 512
{
        map textures/aaron/clouds1.tga
        tcMod scroll 0.002 -0.00126
        tcMod scale 5 4
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
	{
        map textures/aaron/clouds2.tga
        tcMod scroll 0.007 -0.0083
        tcMod scale 5 4
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/urban_terror6/natmue_3
{
	{	
		map textures/urban_terror6/natmue_3.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/urban_terror6/natmue_3.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/urban_terror6/rooftop1
{
	qer_editor_image textures/urban_terror6/rooftop1.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/urban_terror6/rooftop1.tga
		blendFunc GL_ONE GL_ZERO		
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/urban_terror6/ww-window01
{
	{	
		map textures/urban_terror6/ww-window01.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/urban_terror6/ww-window01.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/wetwired/bluescreen
{
	qer_editorimage textures/wetwired/bluescreen.tga
	surfaceparm nolightmap
	{
		map textures/wetwired/bluescreen.tga
	}
}


textures/urban_terror6/ww-railings02
{
	qer_editor_image textures/urban_terror6/ww-railings02.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/urban_terror6/ww-railings02.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/shaderlab/stw-windows-tall
{
	{	
		map textures/shaderlab/stw-windows-tall.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/shaderlab/stw-windows-tall.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/shaderlab/stw-windows-small
{
	{	
		map textures/shaderlab/stw-windows-small.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/shaderlab/stw-windows-small.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/urban_terror7/fs_railing
{
	qer_editor_image textures/urban_terror7/fs_railing.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/urban_terror7/fs_railing.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/urban_terror6/venice_water
{
	qer_editorimage textures/urban_terror6/venice_water.tga
	tessSize 100
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	
	{	
		map textures/urban_terror6/venice_water.tga
		tcMod turb 0.2 0.2 0.2 .2 
	}

	{
		map textures/urban_terror6/venice_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.2 2 .2
	}				
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/wetwired/wetwired_dwell
{
	qer_editorimage textures/wetwired/sky03.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 100
	q3map_sun .6 .6 .6 30 35 78

	skyparms env/dwell 256 256
//{
//        map textures/aaron/clouds1.tga
//        tcMod scroll 0.001 -0.00126
//        tcMod scale 5 4
//        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//    }
//	{
//        map textures/aaron/clouds2.tga
//        tcMod scroll 0.001 -0.0083
//        tcMod scale 5 4
//        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//	}
}

textures/urban_terror6/flare001
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/urban_terror6/flare001.jpg
            blendFunc GL_ONE GL_ONE
          }
}

textures/urban_terror6/flare002
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/urban_terror6/flare002.jpg
            blendFunc GL_ONE GL_ONE
          }
}

textures/urban_terror6/flare003
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/urban_terror6/flare003.jpg
            blendFunc GL_ONE GL_ONE
          }
}

textures/urban_terror6/fs_ladder03
{
	qer_editor_image textures/urban_terror6/fs_ladder03.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/urban_terror6/fs_ladder03.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/urban_terror6/ww-shutter01
{
	{	
		map textures/urban_terror6/ww-shutter01.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/urban_terror6/ww-shutter01.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/wetwired/ind-windows-1
{
	{	
		map textures/wetwired/ind-windows-1.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/wetwired/ind-windows-1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/urban_terror6/ww-window02
{
	{	
		map textures/urban_terror6/ww-window02.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/urban_terror6/ww-window02.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}